Show / Hide Table of Contents

# AsyncPostRenderTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncPostRenderTrigger : AsyncTriggerBase<AsyncUnit>, IUniTaskAsyncEnumerable<AsyncUnit>

##### Inheritance

System.Object → AsyncTriggerBase<AsyncUnit> → AsyncPostRenderTrigger

##### Implements

IUniTaskAsyncEnumerable<AsyncUnit>

### Members

#### Methods

Name | Description
--- | ---
GetOnPostRenderAsyncHandler() |
GetOnPostRenderAsyncHandler(CancellationToken) |
OnPostRenderAsync() |
OnPostRenderAsync(CancellationToken) |

### Methods

#### GetOnPostRenderAsyncHandler()

    public IAsyncOnPostRenderHandler GetOnPostRenderAsyncHandler()

##### Returns

IAsyncOnPostRenderHandler

#### GetOnPostRenderAsyncHandler(CancellationToken)

    public IAsyncOnPostRenderHandler GetOnPostRenderAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

IAsyncOnPostRenderHandler

#### OnPostRenderAsync()

    public UniTask OnPostRenderAsync()

##### Returns

UniTask

#### OnPostRenderAsync(CancellationToken)

    public UniTask OnPostRenderAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

UniTask

### Implements

IUniTaskAsyncEnumerable<T>